import type { _CKRecordZoneID } from "./CKRecordZoneID.js";
import type { _CKSyncEngineEvent } from "./CKSyncEngineEvent.js";
import type { _NSError } from "../Foundation/NSError.js";
export declare class _CKSyncEngineDidFetchRecordZoneChangesEvent extends _CKSyncEngineEvent {
    static alloc(): _CKSyncEngineDidFetchRecordZoneChangesEvent;
    static new(): _CKSyncEngineDidFetchRecordZoneChangesEvent;
    init(): _CKSyncEngineDidFetchRecordZoneChangesEvent;
    zoneID(): _CKRecordZoneID;
    error(): _NSError | null;
}
